#!/bin/bash

set -e

mkdir -p $HOME/.vnc
if [ ! -f "$HOME/.vnc/passwd" ] ; then
	cp -av /default-vncpasswd $HOME/.vnc/passwd
	chmod 0600 $HOME/.vnc/passwd
fi
if [ ! -f "$HOME/.vnc/config" ] ; then
	cp -av /default-vncconfig $HOME/.vnc/config
fi
if [ ! -f "$HOME/.vnc/xstartup" ] ; then
	cp -av /default-vncxstartup $HOME/.vnc/xstartup
	chmod +x $HOME/.vnc/xstartup
fi

vncserver :0 -name limited-desktop
novnc_server ${1:"$@"}
